Subject: Re: bug#45160: 27.1; [C] wrong indent for knr-style arguments declaration
From: Alan Mackenzie <[email-masked]>
To: Bruno Raoult <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 12 Dec 2020 14:48:52 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello again, Bruno.

On Fri, Dec 11, 2020 at 20:22:19 +0100, Bruno Raoult wrote:
> Thanks Alan,

[ .... ]

> > The following patch should fix the problem.  Would you please apply
> > it to your Emacs (cc-engine.el is in .../emacs/lisp/progmodes) and
> > byte compile cc-engine.el.  Then please try it out on your real
> > source code, and either confirm the bug has indeed been fixed, or say
> > what's still wrong.  (If you would like any help with the patching or
> > byte compiling, feel free to send me private email.)

> That fix was really fast !

It was a high quality bug report, and easy to diagnose.

> I applied the patch, and it appears to work in a few source files I did
> try.  I did not notice any side effect so far : I will keep your
> version, and let you know (in this bug thread) if I notice any issue
> that is not present in original version.

Thank you for such a fast test.  I am closing the bug with this post.

> Thanks again,

> Bruno.

> -- 
> 2 + 2 = 5, for very large values of 2.

-- 
Alan Mackenzie (Nuremberg, Germany).